OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class OutageManagerConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.OutageManagerConfigFactory

All Implemented Interfaces:
  OutageManagerConfig

public final class OutageManagerConfigFactory
extends java.lang.Object
implements OutageManagerConfig

This is the singleton class used to load the configuration for the OpenNMS OutageManager from the outage-configuration xml file. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  James Zuo , Sowmya Nataraj , OpenNMS

Field Summary
`private OutageConfiguration` `m_config` The config class loaded from the config file
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static OutageManagerConfigFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `OutageManagerConfigFactory(java.lang.String configFile)` Private constructor

Method Summary
`boolean` `deletePropagation()` Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.
`java.lang.String` `getGetNextOutageID()` Return the SQL statemet to get the next outage ID.
`static OutageManagerConfig` `getInstance()` Return the singleton instance of this factory.
`int` `getWriters()` Return the number of writer threads to be started.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static OutageManagerConfigFactory m_singleton

  The singleton instance of this factory

### m_config

    private OutageConfiguration m_config

  The config class loaded from the config file

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

Constructor Detail

### OutageManagerConfigFactory

    private OutageManagerConfigFactory(java.lang.String configFile)
                                throws java.io.IOException,
                                       org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static OutageManagerConfig getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getWriters

    public int getWriters()

  Return the number of writer threads to be started.

  Specified by:
    `getWriters` in interface `OutageManagerConfig`
  Returns:
    the number of writer threads to be started

### getGetNextOutageID

    public java.lang.String getGetNextOutageID()

  Return the SQL statemet to get the next outage ID.

  Specified by:
    `getGetNextOutageID` in interface `OutageManagerConfig`
  Returns:
    the SQL statemet to get the next outage ID

### deletePropagation

    public boolean deletePropagation()

  Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.

  Specified by:
    `deletePropagation` in interface `OutageManagerConfig`
  Returns:
    true for delete propagation otherwise false.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.